Skip to content

Get the donor's note​

GET
/donations/receipt/{receiptId}/note

The note already on a paid donation, so the composer can show it and its remaining writes (3 − note_edit_count). data is null when there is no note.

No authentication: the receipt id is the capability. Rate limited at 300 requests/minute per IP.

Parameters​

Path Parameters

receiptId*

The receipt id, or the donation's Stripe PaymentIntent id.

Type
string
Required

Responses​

The note, or null

application/json
JSON
{
"data": {
"id": "string",
"content": "string",
"gif": {
"id": "xT4uQulxzV39haRFjG",
"title": "string",
"width": 480,
"height": 270,
"mp4_url": "https://media2.giphy.com/media/xT4uQulxzV39haRFjG/giphy.mp4",
"webp_url": "https://media2.giphy.com/media/xT4uQulxzV39haRFjG/giphy.webp",
"gif_url": "https://media2.giphy.com/media/xT4uQulxzV39haRFjG/giphy.gif",
"still_url": "https://media2.giphy.com/media/xT4uQulxzV39haRFjG/giphy_s.gif",
"preview_mp4_url": "https://media2.giphy.com/media/xT4uQulxzV39haRFjG/200w.mp4",
"preview_webp_url": "https://media2.giphy.com/media/xT4uQulxzV39haRFjG/200w.webp",
"preview_width": 200,
"preview_height": 113
},
"created_at": "string",
"updated_at": "string",
"note_edit_count": 0,
"retracted": true,
"hidden": true,
"campaign_slug": "string"
}
}

Playground​

Server
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI

Built with VitePress